Bug 21112 - Re-indent staff client cart template
Summary: Re-indent staff client cart template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-24 16:09 UTC by Owen Leonard
Modified: 2018-09-21 12:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21112: Re-indent staff client cart template (32.59 KB, patch)
2018-07-24 16:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21112: Re-indent staff client cart template (32.64 KB, patch)
2018-07-25 14:12 UTC, DEVINIM
Details | Diff | Splinter Review
Bug 21112: Re-indent staff client cart template (32.69 KB, patch)
2018-08-01 22:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-07-24 16:09:58 UTC
I would like to re-indent the staff client cart template, basket/basket.tt
Comment 1 Owen Leonard 2018-07-24 16:21:04 UTC
Created attachment 77239 [details] [review]
Bug 21112: Re-indent staff client cart template

This patch reindents the template for the staff client cart, basket.tt

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, apply the patch and add multiple items to the cart in the staff
client.

View the cart and confirm that it looks as it should both in the "brief"
and "more details" views.

HTML validation before and after the patch should return the same
results.
Comment 2 DEVINIM 2018-07-25 14:12:02 UTC
Created attachment 77257 [details] [review]
Bug 21112: Re-indent staff client cart template

This patch reindents the template for the staff client cart, basket.tt

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, apply the patch and add multiple items to the cart in the staff
client.

View the cart and confirm that it looks as it should both in the "brief"
and "more details" views.

HTML validation before and after the patch should return the same
results.

Signed-off-by: DEVINIM <kohadevinim@devinim.com.tr>
Comment 3 Katrin Fischer 2018-08-01 22:53:04 UTC
Hi Devinim, don't forget to change the status to "signed off" :)
Comment 4 Katrin Fischer 2018-08-01 22:53:21 UTC
Created attachment 77417 [details] [review]
Bug 21112: Re-indent staff client cart template

This patch reindents the template for the staff client cart, basket.tt

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, apply the patch and add multiple items to the cart in the staff
client.

View the cart and confirm that it looks as it should both in the "brief"
and "more details" views.

HTML validation before and after the patch should return the same
results.

Signed-off-by: DEVINIM <kohadevinim@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2018-08-14 12:55:18 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-16 10:50:52 UTC
Pushed to 18.05.x for 18.05.03.

Although this is technically an enhancement, there are no visible effects and backporting now whilst there are no other changes in this template in the 18.05.x branch means future backports of bugfixes based upon it should be more seamless.
Comment 7 Fridolin SOMERS 2018-09-21 12:50:50 UTC
I prefer not to push to 17.11.x